---
title: symbols()
slug: Web/CSS/symbols()
tags:
  - CSS
  - CSS Counter Styles
  - Function
  - Reference
---
<div>{{CSSRef}}</div>

<p>The <strong><code>symbols()</code></strong> CSS function lets you define counter styles inline, directly as the value of a property such as {{cssxref("list-style")}}. Unlike {{cssxref("@counter-style")}}, <code>symbols()</code> is <em>anonymous</em> (i.e., it can only be used once). Although less powerful, it is shorter and easier to write than {{cssxref("@counter-style")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">symbols() = symbols( &lt;symbols-type&gt;? [ &lt;string&gt; | &lt;image&gt; ]+ );
</pre>

<p><code>&lt;symbols-type&gt;</code> can be one of the following:</p>

<ul>
	<li><code>cyclic</code>: The system cycles through the given values in the order of their definition, and returns to the start when it reaches the end.</li>
	<li><code>numeric</code>: The system interprets the given values as the successive units of a place-value numbering system.</li>
	<li><code>alphabetic</code>: The system interprets the given values as the digits of an alphabetic numbering system, like a place-value numbering system but without <code>0</code>.</li>
	<li><code>symbolic</code>: The system cycles through the values, printing them an additional time at each cycle (one time for the first cycle, two times for the second, etc.).</li>
	<li><code>fixed</code>: The system cycles through the given values once, then falls back to Arabic numerals.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;ol&gt;
  &lt;li&gt;One&lt;/li&gt;
  &lt;li&gt;Two&lt;/li&gt;
  &lt;li&gt;Three&lt;/li&gt;
  &lt;li&gt;Four&lt;/li&gt;
  &lt;li&gt;Five&lt;/li&gt;
&lt;/ol&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">ol {
  list-style: symbols(cyclic "*" "†" "‡");
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples','100%',200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Counter Styles', '#symbols-function', 'symbols()')}}</td>
			<td>{{Spec2('CSS3 Counter Styles')}}</td>
			<td>Initial defintion.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.list-style-type.symbols")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("@counter-style")}}</li>
	<li>{{cssxref("list-style-type")}} and the corresponding shorthand {{cssxref("list-style")}}.</li>
</ul>
